Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision db712a8ffdd9c478928d0173162055a7c109b178)
+++ src/com_mod.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -160,7 +160,8 @@
   !real xmass(maxpoint,maxspec)
   real :: decay(maxspec)
-  real :: weta(maxspec),wetb(maxspec)
+  real :: weta_gas(maxspec),wetb_gas(maxspec)
+  real :: crain_aero(maxspec),csnow_aero(maxspec)
 ! NIK: 31.01.2013- parameters for in-cloud scavening
-  real :: weta_in(maxspec), wetb_in(maxspec)
+  real :: ccn_aero(maxspec),in_aero(maxspec)
   real :: reldiff(maxspec),henry(maxspec),f0(maxspec)
   real :: density(maxspec),dquer(maxspec),dsigma(maxspec)
@@ -197,7 +198,7 @@
 
   ! WET DEPOSITION
-  ! weta, wetb              parameters for determining below-cloud wet scavenging coefficients
-  ! weta_in, wetb_in       parameters for determining in-cloud wet scavenging coefficients
-  ! wetc_in, wetd_in       parameters for determining in-cloud wet scavenging coefficients
+  ! weta_gas, wetb_gas     parameters for below-cloud wet scavenging coefficients (gasses)
+  ! crain_aero, in_aero    parameters for in-cloud wet scavenging coefficients (aerosols)
+  ! wetc_in, wetd_in       parameters for in-cloud wet scavenging coefficients (aerosols)
 
   ! GAS DEPOSITION
@@ -216,5 +217,5 @@
   ! dquer [m]               mean diameter of particles
   ! dsigma                  dsigma=10 or dsigma=0.1 means that 68% of the
-  !                    mass are between 0.1*dquer and 10*dquer
+  !                         mass are between 0.1*dquer and 10*dquer
 
   ! fract                   mass fraction of each diameter interval
@@ -371,6 +372,6 @@
 
 !ZHG Sep 2015  
-   real :: icloud_stats(0:nxmax-1,0:nymax-1,5,numwfmem)
-   real :: clw4(0:nxmax-1,0:nymax-1,numwfmem) ! eso: =icloud_stats(:,:,4,:)
+!   real :: icloud_stats(0:nxmax-1,0:nymax-1,5,numwfmem)
+   real :: ctwc(0:nxmax-1,0:nymax-1,numwfmem) ! eso: =icloud_stats(:,:,4,:)
 
 
@@ -392,4 +393,5 @@
 
   ! pplev for the GFS version
+  ! ctwc                 total cloud water content
 
   ! 2d fields
@@ -489,5 +491,5 @@
   real,allocatable,dimension(:,:,:,:,:) :: uun, vvn, wwn, ttn, qvn, pvn,&
        & rhon, drhodzn, tthn, qvhn, clwcn, ciwcn, clwn, clwchn, ciwchn
-  real,allocatable,dimension(:,:,:,:) :: clw4n
+  real,allocatable,dimension(:,:,:,:) :: ctwcn
   integer,allocatable,dimension(:,:,:,:) :: cloudshn
   integer(kind=1),allocatable,dimension(:,:,:,:,:) :: cloudsn
@@ -802,15 +804,10 @@
     allocate(clwchn(0:nxmaxn-1,0:nymaxn-1,nuvzmax,numwfmem,numbnests))
     allocate(ciwchn(0:nxmaxn-1,0:nymaxn-1,nuvzmax,numwfmem,numbnests))
-    allocate(clw4n(0:nxmax-1,0:nymax-1,numwfmem,numbnests))
-
-!    clw4n(:,:,:,:)=0.
+    allocate(ctwcn(0:nxmax-1,0:nymax-1,numwfmem,numbnests))
+
     clwcn(:,:,:,:,:)=0.
     ciwcn(:,:,:,:,:)=0.
     clwchn(:,:,:,:,:)=0.
     ciwchn(:,:,:,:,:)=0.
-    ! clwn(:,:,:,:,:)=0.
-
-    ! cloudsn(:,:,:,:,:)=0
-    ! cloudshn(:,:,:,:)=0
     
   end subroutine com_mod_allocate_nests
Index: src/makefile
===================================================================
--- src/makefile	(revision 32b49c31198ae7800bda9ceb9125f98584d75077)
+++ src/makefile	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -66,5 +66,5 @@
 
 ## LIBRARIES
-LIBS = -lgrib_api_f90 -lgrib_api -lm -ljasper -lnetcdff -llapack  # -fopenmp
+LIBS = -lgrib_api_f90 -lgrib_api -lm -ljasper -lnetcdff # -fopenmp
 
 FFLAGS   = -I$(INCPATH1) -I$(INCPATH2) -O$(O_LEV) -g -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -fmessage-length=0 -flto=jobserver -O$(O_LEV) $(FUSER) # -march=native
Index: src/mpi_mod.f90
===================================================================
--- src/mpi_mod.f90	(revision 32b49c31198ae7800bda9ceb9125f98584d75077)
+++ src/mpi_mod.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -980,5 +980,5 @@
       ! call MPI_Bcast(icloud_stats(:,:,:,li:ui),d2s1*5,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
       ! if (mp_ierr /= 0) goto 600
-      call MPI_Bcast(clw4(:,:,li:ui),d2s1,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
+      call MPI_Bcast(ctwc(:,:,li:ui),d2s1,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
       if (mp_ierr /= 0) goto 600
       ! call MPI_Bcast(clwc(:,:,:,li:ui),d3s1,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
@@ -1151,5 +1151,5 @@
       ! call MPI_Bcast(icloud_stats(:,:,:,li:ui),d2s1*5,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
       ! if (mp_ierr /= 0) goto 600
-      call MPI_Bcast(clw4n(:,:,li:ui,i),d2s1,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
+      call MPI_Bcast(ctwcn(:,:,li:ui,i),d2s1,mp_sp,id_read,MPI_COMM_WORLD,mp_ierr)
       if (mp_ierr /= 0) goto 600
     end if
@@ -1360,5 +1360,5 @@
         ! call MPI_Isend(icloud_stats(:,:,:,mind),d2s1*5,mp_sp,dest,tm1,&
         !      &MPI_COMM_WORLD,reqs(i),mp_ierr)
-        call MPI_Isend(clw4(:,:,mind),d2s1,mp_sp,dest,tm1,&
+        call MPI_Isend(ctwc(:,:,mind),d2s1,mp_sp,dest,tm1,&
              &MPI_COMM_WORLD,reqs(i),mp_ierr)
 
@@ -1573,5 +1573,5 @@
       ! call MPI_Irecv(icloud_stats(:,:,:,mind),d2s1*5,mp_sp,id_read,MPI_ANY_TAG,&
       !      &MPI_COMM_WORLD,reqs(j),mp_ierr)
-      call MPI_Irecv(clw4(:,:,mind),d2s1*5,mp_sp,id_read,MPI_ANY_TAG,&
+      call MPI_Irecv(ctwc(:,:,mind),d2s1*5,mp_sp,id_read,MPI_ANY_TAG,&
            &MPI_COMM_WORLD,reqs(j),mp_ierr)
       if (mp_ierr /= 0) goto 600
Index: src/netcdf_output_mod.f90
===================================================================
--- src/netcdf_output_mod.f90	(revision db712a8ffdd9c478928d0173162055a7c109b178)
+++ src/netcdf_output_mod.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -61,6 +61,6 @@
                        dx,xlon0,dy,ylat0,compoint,method,lsubgrid,lconvection,&
                        ind_source,ind_receptor,nageclass,lage,&
-                       drydep,wetdep,decay,weta,wetb, numbnests, &
-                       weta_in,wetb_in, & ! wetc_in,wetd_in, &
+                       drydep,wetdep,decay,weta_gas,wetb_gas, numbnests, &
+                       ccn_aero,in_aero, & ! wetc_in,wetd_in, &
                        reldiff,henry,f0,density,dquer,dsigma,dryvel,&
 !                       weightmolar,ohreact,spec_ass,kao,vsetaver,&
@@ -543,8 +543,8 @@
              chunksizes = dep_chunksizes))
         call nf90_err(nf90_put_att(ncid, wdsID, 'units', '1e-12 kg m-2'))
-        call nf90_err(nf90_put_att(ncid, wdsID, 'weta', weta(i)))
-        call nf90_err(nf90_put_att(ncid, wdsID, 'wetb', wetb(i)))
-        call nf90_err(nf90_put_att(ncid, wdsID, 'weta_in', weta_in(i)))
-        call nf90_err(nf90_put_att(ncid, wdsID, 'wetb_in', wetb_in(i)))
+        call nf90_err(nf90_put_att(ncid, wdsID, 'weta_gas', weta_gas(i)))
+        call nf90_err(nf90_put_att(ncid, wdsID, 'wetb_gas', wetb_gas(i)))
+        call nf90_err(nf90_put_att(ncid, wdsID, 'ccn_aero', ccn_aero(i)))
+        call nf90_err(nf90_put_att(ncid, wdsID, 'in_aero', in_aero(i)))
         ! call nf90_err(nf90_put_att(ncid, wdsID, 'wetc_in', wetc_in(i)))
         ! call nf90_err(nf90_put_att(ncid, wdsID, 'wetd_in', wetd_in(i)))
Index: src/par_mod.f90
===================================================================
--- src/par_mod.f90	(revision 32b49c31198ae7800bda9ceb9125f98584d75077)
+++ src/par_mod.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -89,5 +89,5 @@
   real,parameter :: rho_water=1000. !ZHG 2015 [kg/m3]
   !ZHG MAR2016
-  real,parameter :: incloud_ratio=1.6
+  real,parameter :: incloud_ratio=2.2
 
   ! karman                  Karman's constant
Index: src/readreleases.f90
===================================================================
--- src/readreleases.f90	(revision b0434e1968915cd3d4a8afcbf2cc275acecb9ff7)
+++ src/readreleases.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -57,7 +57,7 @@
   ! xpoint2,ypoint2     geograf. coordinates of upper right corner of release  *
   !                     area                                                   *
-  ! weta, wetb          parameters to determine the below-cloud scavenging     *
-  ! weta_in, wetb_in    parameters to determine the in-cloud scavenging        *
-  ! wetc_in, wetd_in    parameters to determine the in-cloud scavenging        *
+  ! weta_gas, wetb_gas  parameters for below-cloud scavenging (gas)            *
+  ! crain_aero, csnow_aero  parameters for below-cloud scavenging (aerosol)    *
+  ! ccn_aero, in_aero   parameters for in-cloud scavenging (aerosol)           *
   ! zpoint1,zpoint2     height range, over which release takes place           *
   ! num_min_discrete    if less, release cannot be randomized and happens at   *
@@ -363,5 +363,5 @@
   !***********************************************************
 ! NIK 15.02.2015, with new wet dep scheme either A or B parameters can be assigned a positive value which switches on wet dep
-    if (weta(i).gt.0. .or. wetb(i).gt.0.)  then
+    if (weta_gas(i).gt.0. .or. wetb_gas(i).gt.0.)  then ! :TODO: or particle
       WETDEP=.true.
       if (lroot) then
@@ -374,10 +374,10 @@
     
 ! NIK 31.01.2013 + 10.12.2013 + 15.02.2015
-    if (weta_in(i).gt.0. .or. wetb_in(i).gt.0.)  then
+    if (ccn_aero(i).gt.0. .or. in_aero(i).gt.0.)  then
       WETDEP=.true.
       if (lroot) then
         write (*,*) 'In-cloud scavenging: ON'
 !        write (*,*) 'In-cloud scavenging coefficients: ',&
-!           &weta_in(i),wetb_in(i),i !,wetc_in(i), wetd_in(i),i
+!           &ccn_aero(i),in_aero(i),i !,wetc_in(i), wetd_in(i),i
       end if
     else
Index: src/readspecies.f90
===================================================================
--- src/readspecies.f90	(revision 32b49c31198ae7800bda9ceb9125f98584d75077)
+++ src/readspecies.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -42,7 +42,7 @@
   ! decaytime(maxtable)  half time for radiological decay                      *
   ! specname(maxtable)   names of chemical species, radionuclides              *
-  ! weta, wetb           Parameters for determining below-cloud scavenging     *
-  ! weta_in              Parameter for determining in-cloud scavenging         *
-  ! wetb_in              Parameter for determining in-cloud scavenging         *
+  ! weta_gas, wetb_gas   Parameters for determining below-cloud scavenging     *
+  ! ccn_aero              Parameter for determining in-cloud scavenging         *
+  ! in_aero              Parameter for determining in-cloud scavenging         *
   ! ohcconst             OH reaction rate constant C                           *
   ! ohdconst             OH reaction rate constant D                           *
@@ -66,24 +66,24 @@
 
   character(len=16) :: pspecies
-  real :: pdecay, pweta, pwetb, preldiff, phenry, pf0, pdensity, pdquer
+  real :: pdecay, pweta_gas, pwetb_gas, preldiff, phenry, pf0, pdensity, pdquer
   real :: pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst, pspec_ass, pkao
-  real :: pweta_in, pwetb_in, pwetc_in, pwetd_in
+  real :: pcrain_aero, pcsnow_aero, pccn_aero, pin_aero
   integer :: readerror
 
 ! declare namelist
   namelist /species_params/ &
-       pspecies, pdecay, pweta, pwetb, &
-       pweta_in, pwetb_in, pwetc_in, pwetd_in, &
+       pspecies, pdecay, pweta_gas, pwetb_gas, &
+       pcrain_aero, pcsnow_aero, pccn_aero, pin_aero, &
        preldiff, phenry, pf0, pdensity, pdquer, &
        pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst, pspec_ass, pkao
 
-  pspecies=" "
+  pspecies="" ! read failure indicator value
   pdecay=-999.9
-  pweta=-9.9E-09
-  pwetb=0.0
-  pweta_in=-9.9E-09
-  pwetb_in=-9.9E-09
-!  pwetc_in=-9.9E-09
-!  pwetd_in=-9.9E-09
+  pweta_gas=-9.9E-09
+  pwetb_gas=0.0
+  pcrain_aero=-9.9E-09
+  pcsnow_aero=-9.9E-09
+  pccn_aero=-9.9E-09
+  pin_aero=-9.9E-09
   preldiff=-9.9
   phenry=0.0
@@ -98,5 +98,5 @@
   pspec_ass=-9
   pkao=-99.99
-  pweightmolar=-789.0 ! read failure indicator value
+  pweightmolar=-999.9
 
 ! Open the SPECIES file and read species names and properties
@@ -113,5 +113,6 @@
   close(unitspecies)
 
-  if ((pweightmolar.eq.-789.0).or.(readerror.ne.0)) then ! no namelist found
+!  if ((pweightmolar.eq.-789.0).or.(readerror.ne.0)) then ! no namelist found
+  if ((len(pspecies).eq.0).or.(readerror.ne.0)) then ! no namelist found
 
     readerror=1
@@ -127,19 +128,17 @@
     read(unitspecies,'(f18.1)',end=22) decay(pos_spec)
 !  write(*,*) decay(pos_spec)
-    read(unitspecies,'(e18.1)',end=22) weta(pos_spec)
-!  write(*,*) weta(pos_spec)
-    read(unitspecies,'(f18.2)',end=22) wetb(pos_spec)
-!  write(*,*) wetb(pos_spec)
-
+    read(unitspecies,'(e18.1)',end=22) weta_gas(pos_spec)
+!  write(*,*) weta_gas(pos_spec)
+    read(unitspecies,'(f18.2)',end=22) wetb_gas(pos_spec)
+!  write(*,*) wetb_gas(pos_spec)
+    read(unitspecies,'(e18.1)',end=22) crain_aero(pos_spec)
+!  write(*,*) crain_aero(pos_spec)
+    read(unitspecies,'(f18.2)',end=22) csnow_aero(pos_spec)
+!  write(*,*) csnow_aero(pos_spec)
 !*** NIK 31.01.2013: including in-cloud scavening parameters
-    read(unitspecies,'(e18.1)',end=22) weta_in(pos_spec)
-!  write(*,*) weta_in(pos_spec)
-    read(unitspecies,'(f18.2)',end=22) wetb_in(pos_spec)
-!  write(*,*) wetb_in(pos_spec)
-! read(unitspecies,'(f18.2)',end=22) wetc_in(pos_spec)
-!  write(*,*) wetc_in(pos_spec)
-! read(unitspecies,'(f18.2)',end=22) wetd_in(pos_spec)
-!  write(*,*) wetd_in(pos_spec)
-
+    read(unitspecies,'(e18.1)',end=22) ccn_aero(pos_spec)
+!  write(*,*) ccn_aero(pos_spec)
+    read(unitspecies,'(f18.2)',end=22) in_aero(pos_spec)
+!  write(*,*) in_aero(pos_spec)
     read(unitspecies,'(f18.1)',end=22) reldiff(pos_spec)
 !  write(*,*) reldiff(pos_spec)
@@ -171,10 +170,10 @@
     pspecies=species(pos_spec)
     pdecay=decay(pos_spec)
-    pweta=weta(pos_spec)
-    pwetb=wetb(pos_spec)
-    pweta_in=weta_in(pos_spec)
-    pwetb_in=wetb_in(pos_spec)
-!    pwetc_in=wetc_in(pos_spec)
-!    pwetd_in=wetd_in(pos_spec)
+    pweta_gas=weta_gas(pos_spec)
+    pwetb_gas=wetb_gas(pos_spec)
+    pcrain_aero=crain_aero(pos_spec)
+    pcsnow_aero=csnow_aero(pos_spec)
+    pccn_aero=ccn_aero(pos_spec)
+    pin_aero=in_aero(pos_spec)
     preldiff=reldiff(pos_spec)
     phenry=henry(pos_spec)
@@ -195,10 +194,10 @@
     species(pos_spec)=pspecies
     decay(pos_spec)=pdecay
-    weta(pos_spec)=pweta
-    wetb(pos_spec)=pwetb
-    weta_in(pos_spec)=pweta_in
-    wetb_in(pos_spec)=pwetb_in
-!    wetc_in(pos_spec)=pwetc_in
-!    wetd_in(pos_spec)=pwetd_in
+    weta_gas(pos_spec)=pweta_gas
+    wetb_gas(pos_spec)=pwetb_gas
+    crain_aero=pcrain_aero
+    csnow_aero=pcsnow_aero
+    ccn_aero(pos_spec)=pccn_aero
+    in_aero(pos_spec)=pin_aero
     reldiff(pos_spec)=preldiff
     henry(pos_spec)=phenry
@@ -222,14 +221,14 @@
 ! Check scavenging parameters given in SPECIES file
 
-  if (weta(pos_spec).gt.0.0 .or. wetb(pos_spec).gt.0.0 .or. weta_in(pos_spec).gt.0.0 .or. wetb_in(pos_spec).gt.0.0) then
+  if (weta_gas(pos_spec).gt.0.0 .or. wetb_gas(pos_spec).gt.0.0 .or. ccn_aero(pos_spec).gt.0.0 .or. in_aero(pos_spec).gt.0.0) then
 
   if (dquer(pos_spec).gt.0) then !is particle
     if (lroot) then
       write(*,'(a,f5.2)') '  Particle below-cloud scavenging parameter A &
-           &(Rain collection efficiency)  ', weta(pos_spec)
+           &(Rain collection efficiency)  ', crain_aero(pos_spec)
       write(*,'(a,f5.2)') '  Particle below-cloud scavenging parameter B &
-           &(Snow collection efficiency)  ', wetb(pos_spec)
-    end if
-    if (weta(pos_spec).gt.1.0 .or. wetb(pos_spec).gt.1.0) then
+           &(Snow collection efficiency)  ', csnow_aero(pos_spec)
+    end if
+    if (weta_gas(pos_spec).gt.1.0 .or. wetb_gas(pos_spec).gt.1.0) then
       if (lroot) then
         write(*,*) '*******************************************'
@@ -242,9 +241,9 @@
     if (lroot) then
       write(*,'(a,f5.2)') '  Particle in-cloud scavenging parameter Ai &
-           &(CCN efficiency)  ', weta_in(pos_spec)
+           &(CCN efficiency)  ', ccn_aero(pos_spec)
       write(*,'(a,f5.2)') '  Particle in-cloud scavenging parameter Bi &
-           &(IN efficiency)  ', wetb_in(pos_spec)
-    end if
-    if (weta_in(pos_spec).gt.1.0 .or. weta_in(pos_spec).lt.0.01) then
+           &(IN efficiency)  ', in_aero(pos_spec)
+    end if
+    if (ccn_aero(pos_spec).gt.1.0 .or. ccn_aero(pos_spec).lt.0.01) then
       if (lroot) then
         write(*,*) '*******************************************'
@@ -254,5 +253,5 @@
       end if
     endif
-    if (wetb_in(pos_spec).gt.1.0 .or. wetb_in(pos_spec).lt.0.01) then
+    if (in_aero(pos_spec).gt.1.0 .or. in_aero(pos_spec).lt.0.01) then
       if (lroot) then
         write(*,*) '*******************************************'
@@ -265,10 +264,10 @@
   else !is gas
     if (lroot) then
-      write(*,*) '  Gas below-cloud scavenging parameter A  ', weta(pos_spec)
-      write(*,'(a,f5.2)') '  Gas below-cloud scavenging parameter B  ', wetb(pos_spec)
+      write(*,*) '  Gas below-cloud scavenging parameter A  ', weta_gas(pos_spec)
+      write(*,'(a,f5.2)') '  Gas below-cloud scavenging parameter B  ', wetb_gas(pos_spec)
       write(*,*) ' Gas in-cloud scavenging uses default values as in Hertel et al 1995'
     end if
-    if (weta(pos_spec).gt.0.) then !if wet deposition is turned on
-      if (weta(pos_spec).gt.1E-04 .or. weta(pos_spec).lt.1E-09) then
+    if (weta_gas(pos_spec).gt.0.) then !if wet deposition is turned on
+      if (weta_gas(pos_spec).gt.1E-04 .or. weta_gas(pos_spec).lt.1E-09) then
         if (lroot) then
           write(*,*) '*******************************************'
@@ -279,6 +278,6 @@
       endif
     end if
-    if (wetb(pos_spec).gt.0.) then !if wet deposition is turned on
-      if (wetb(pos_spec).gt.0.8 .or. wetb(pos_spec).lt.0.6) then
+    if (wetb_gas(pos_spec).gt.0.) then !if wet deposition is turned on
+      if (wetb_gas(pos_spec).gt.0.8 .or. wetb_gas(pos_spec).lt.0.6) then
         if (lroot) then
           write(*,*) '*******************************************'
@@ -292,5 +291,5 @@
   endif
 
-  if (((weta(pos_spec).gt.0).or.(wetb(pos_spec).gt.0)).and.(henry(pos_spec).le.0)) then
+  if (((weta_gas(pos_spec).gt.0).or.(wetb_gas(pos_spec).gt.0)).and.(henry(pos_spec).le.0)) then
     if (dquer(pos_spec).le.0) goto 996 ! no particle, no henry set
   endif
Index: src/timemanager_mpi.f90
===================================================================
--- src/timemanager_mpi.f90	(revision 32b49c31198ae7800bda9ceb9125f98584d75077)
+++ src/timemanager_mpi.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -169,5 +169,5 @@
     if (mp_dev_mode) write(*,*) 'myid, itime: ',mp_pid,itime
     
-    if (wetdep .and. itime .ne. 0 .and. numpart .gt. 0) then
+    if (WETDEP .and. itime .ne. 0 .and. numpart .gt. 0) then
       if (verbosity.gt.0) then
         write (*,*) 'timemanager> call wetdepo'
Index: src/verttransform.f90
===================================================================
--- src/verttransform.f90	(revision db712a8ffdd9c478928d0173162055a7c109b178)
+++ src/verttransform.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -82,5 +82,5 @@
 
   integer :: ix,jy,kz,iz,n,kmin,ix1,jy1,ixp,jyp,ixm,jym,kz_inv
-  real :: f_qvsat,pressure,rh,lsp,convp,prec
+  real :: f_qvsat,pressure,rh,lsp,convp,cloudh_min,prec
   real :: ew,dz1,dz2,dz
   real :: xlon,ylat,xlonr,dzdx,dzdy
@@ -586,5 +586,6 @@
     write(*,*) 'Global ECMWF fields: using cloud water'
     clw(:,:,:,n)=0.0
-    icloud_stats(:,:,:,n)=0.0
+!    icloud_stats(:,:,:,n)=0.0
+    ctwc(:,:,n)=0.0
     clouds(:,:,:,n)=0
 ! If water/ice are read separately into clwc and ciwc, store sum in clwc
@@ -604,10 +605,13 @@
             clw(ix,jy,kz,n)=(clwc(ix,jy,kz,n)*rho(ix,jy,kz,n))*(height(kz+1)-height(kz))
             tot_cloud_h=tot_cloud_h+(height(kz+1)-height(kz)) 
-            icloud_stats(ix,jy,4,n)= icloud_stats(ix,jy,4,n)+clw(ix,jy,kz,n)          ! Column cloud water [m3/m3]
-            icloud_stats(ix,jy,3,n)= min(height(kz+1),height(kz))                     ! Cloud BOT height stats      [m]
+            
+!            icloud_stats(ix,jy,4,n)= icloud_stats(ix,jy,4,n)+clw(ix,jy,kz,n)          ! Column cloud water [m3/m3]
+            ctwc(ix,jy,n) = ctwc(ix,jy,n)+clw(ix,jy,kz,n)
+!            icloud_stats(ix,jy,3,n)= min(height(kz+1),height(kz))                     ! Cloud BOT height stats      [m]
+            cloudh_min=min(height(kz+1),height(kz))
 !ZHG 2015 extra for testing
 !            clh(ix,jy,kz,n)=height(kz+1)-height(kz)
-            icloud_stats(ix,jy,1,n)=icloud_stats(ix,jy,1,n)+(height(kz+1)-height(kz)) ! Cloud total vertical extent [m]
-            icloud_stats(ix,jy,2,n)= max(icloud_stats(ix,jy,2,n),height(kz))          ! Cloud TOP height            [m]
+!            icloud_stats(ix,jy,1,n)=icloud_stats(ix,jy,1,n)+(height(kz+1)-height(kz)) ! Cloud total vertical extent [m]
+!            icloud_stats(ix,jy,2,n)= max(icloud_stats(ix,jy,2,n),height(kz))          ! Cloud TOP height            [m]
 !ZHG
           endif
@@ -626,5 +630,5 @@
                 clouds(ix,jy,kz,n)=2                             ! convp in-cloud
               endif                                              ! convective or large scale
-            elseif((clw(ix,jy,kz,n).le.0) .and. (icloud_stats(ix,jy,3,n).ge.height(kz)) ) then ! is below cloud
+            elseif((clw(ix,jy,kz,n).le.0) .and. (cloudh_min.ge.height(kz))) then ! is below cloud
               if (lsp.ge.convp) then
                 clouds(ix,jy,kz,n)=5                             ! lsp dominated washout
@@ -643,5 +647,5 @@
 
 ! eso: copy the relevant data to clw4 to reduce amount of communicated data for MPI
-    clw4(:,:,n) = icloud_stats(:,:,4,n)
+!    ctwc(:,:,n) = icloud_stats(:,:,4,n)
 
 !**************************************************************************
Index: src/verttransform_nests.f90
===================================================================
--- src/verttransform_nests.f90	(revision db712a8ffdd9c478928d0173162055a7c109b178)
+++ src/verttransform_nests.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -466,5 +466,5 @@
       clwn(0:nxm1,0:nym1,:,n,l)=0.0
 !    icloud_stats(0:nxm1,0:nym1,:,n)=0.0
-      clw4n(0:nxm1,0:nym1,n,l)=0.0
+      ctwcn(0:nxm1,0:nym1,n,l)=0.0
       cloudsn(0:nxm1,0:nym1,:,n,l)=0
 ! If water/ice are read separately into clwc and ciwc, store sum in clwcn
@@ -484,5 +484,5 @@
               clwn(ix,jy,kz,n,l)=(clwcn(ix,jy,kz,n,l)*rhon(ix,jy,kz,n,l))*(height(kz+1)-height(kz))
               tot_cloud_h=tot_cloud_h+(height(kz+1)-height(kz)) 
-              clw4n(ix,jy,n,l) = clw4n(ix,jy,n,l)+clwn(ix,jy,kz,n,l)
+              ctwcn(ix,jy,n,l) = ctwcn(ix,jy,n,l)+clwn(ix,jy,kz,n,l)
 !            icloud_stats(ix,jy,4,n)= icloud_stats(ix,jy,4,n)+clw(ix,jy,kz,n)          ! Column cloud water [m3/m3]
 !           icloud_stats(ix,jy,3,n)= min(height(kz+1),height(kz))                     ! Cloud BOT height stats      [m]
Index: src/wetdepo.f90
===================================================================
--- src/wetdepo.f90	(revision ec7fc72438c14086c97319dbcbf75d1e0463ed5f)
+++ src/wetdepo.f90	(revision 341f4b7eb1c45f4749b96fc8dbea2dfff30140f2)
@@ -270,39 +270,46 @@
       if (clouds_v.ge.4) then !below cloud
 
-        if (weta(ks).gt.0. .or. wetb(ks).gt.0.) then !if positive below-cloud parameters given in SPECIES file (either A or B)
+! For gas: if positive below-cloud parameters (A or B), and dquer<=0
+!******************************************************************
+        if ((dquer(ks).le.0.).and.(weta_gas(ks).gt.0..or.wetb_gas(ks).gt.0.)) then
+          !        if (weta(ks).gt.0. .or. wetb(ks).gt.0.) then 
           blc_count=blc_count+1
-
-!GAS
-          if (dquer(ks) .le. 0.) then  !is gas
-            wetscav=weta(ks)*prec(1)**wetb(ks)
-
-!AEROSOL
-          else !is particle
+          wetscav=weta_gas(ks)*prec(1)**wetb_gas(ks)
+
+! For aerosols: if positive below-cloud parameters (Crain/Csnow or B), and dquer>0
+!*********************************************************************************
+        else if ((dquer(ks).gt.0.).and.(crain_aero(ks).gt.0..or.csnow_aero(ks).gt.0.)) then
+          blc_count=blc_count+1
+
 !NIK 17.02.2015
-! For the calculation here particle size needs to be in meter and not um as dquer is changed to in readreleases
-! for particles larger than 10 um use the largest size defined in the parameterizations (10um)
-            dquer_m=min(10.,dquer(ks))/1000000. !conversion from um to m
-            if (act_temp .ge. 273. .and. weta(ks).gt.0.)  then !Rain 
+! For the calculation here particle size needs to be in meter and not um as dquer is
+! changed in readreleases
+! For particles larger than 10 um use the largest size defined in the parameterizations (10um)
+          dquer_m=min(10.,dquer(ks))/1000000. !conversion from um to m
+
+! Rain:
+          if (act_temp .ge. 273. .and. crain_aero(ks).gt.0.)  then
+
 ! ZHG 2014 : Particle RAIN scavenging coefficient based on Laakso et al 2003, 
-! the below-cloud scavenging (rain efficienty) 
-! parameter A (=weta) from SPECIES file
-              wetscav= weta(ks)*10**(bclr(1)+ (bclr(2)*(log10(dquer_m))**(-4))+(bclr(3)*(log10(dquer_m))**(-3))+ (bclr(4)* &
-                   (log10(dquer_m))**(-2))+ (bclr(5)*(log10(dquer_m))**(-1))+ bclr(6)* (prec(1))**(0.5))
-
-            elseif (act_temp .lt. 273. .and. wetb(ks).gt.0.)  then ! Snow
+! the below-cloud scavenging (rain efficienty) parameter Crain (=crain_aero) from SPECIES file
+            wetscav=crain_aero(ks)*10**(bclr(1)+(bclr(2)*(log10(dquer_m))**(-4))+ &
+                 & (bclr(3)*(log10(dquer_m))**(-3))+ (bclr(4)*(log10(dquer_m))**(-2))+&
+                 &(bclr(5)*(log10(dquer_m))**(-1))+bclr(6)* (prec(1))**(0.5))
+
+! Snow:
+          elseif (act_temp .lt. 273. .and. csnow_aero(ks).gt.0.)  then 
 ! ZHG 2014 : Particle SNOW scavenging coefficient based on Kyro et al 2009, 
-! the below-cloud scavenging (Snow efficiency) 
-! parameter B (=wetb) from SPECIES file
-              wetscav= wetb(ks)*10**(bcls(1)+ (bcls(2)*(log10(dquer_m))**(-4))+(bcls(3)*(log10(dquer_m))**(-3))+ (bcls(4)* &
-                   (log10(dquer_m))**(-2))+ (bcls(5)*(log10(dquer_m))**(-1))+ bcls(6)* (prec(1))**(0.5))
-
-            endif
-
+! the below-cloud scavenging (Snow efficiency) parameter Csnow (=csnow_aero) from SPECIES file
+            wetscav=csnow_aero(ks)*10**(bcls(1)+(bcls(2)*(log10(dquer_m))**(-4))+&
+                 &(bcls(3)*(log10(dquer_m))**(-3))+ (bcls(4)*(log10(dquer_m))**(-2))+&
+                 &(bcls(5)*(log10(dquer_m))**(-1))+ bcls(6)* (prec(1))**(0.5))
+
+          endif
+          
 !             write(*,*) 'bl-cloud, act_temp=',act_temp, ',prec=',prec(1),',wetscav=', wetscav, ', jpart=',jpart
 
-          endif !gas or particle
-        endif ! positive below-cloud scavenging parameters given in Species file
+        endif ! gas or particle
+!      endif ! positive below-cloud scavenging parameters given in Species file
       endif !end BELOW
-
 
 !********************
@@ -310,17 +317,18 @@
 !********************
       if (clouds_v.lt.4) then ! In-cloud
-! NIK 13 may 2015: only do incloud if positive in-cloud scavenging parameters are given in species file
-        if (weta_in(ks).gt.0. .or. wetb_in(ks).gt.0.) then 
+! NIK 13 may 2015: only do incloud if positive in-cloud scavenging parameters are
+! given in species file, or if gas and positive Henry's constant
+        if ((ccn_aero(ks).gt.0. .or. in_aero(ks).gt.0.).or.(henry(ks).gt.0.and.dquer(ks).le.0)) then 
           inc_count=inc_count+1
 ! if negative coefficients (turned off) set to zero for use in equation
-          if (weta_in(ks).lt.0.) weta_in(ks)=0.
-          if (wetb_in(ks).lt.0.) wetb_in(ks)=0.
+          if (ccn_aero(ks).lt.0.) ccn_aero(ks)=0.
+          if (in_aero(ks).lt.0.) in_aero(ks)=0.
 
 !ZHG 2015 Cloud liquid & ice water (CLWC+CIWC) from ECMWF
 ! nested fields
           if (ngrid.gt.0.and.readclouds_this_nest) then
-            cl=clw4n(ix,jy,n,ngrid)*(grfraction(1)/cc)
+            cl=ctwcn(ix,jy,n,ngrid)*(grfraction(1)/cc)
           else if (ngrid.eq.0.and.readclouds) then
-            cl=clw4(ix,jy,n)*(grfraction(1)/cc)
+            cl=ctwc(ix,jy,n)*(grfraction(1)/cc)
           else                                  !parameterize cloudwater m2/m3
 !ZHG updated parameterization of cloud water to better reproduce the values coming from ECMWF
@@ -337,5 +345,5 @@
           end if
 ! ZHG: Calculate the aerosol partition based on cloud phase and Ai and Bi
-          frac_act = liq_frac*weta_in(ks) +(1-liq_frac)*wetb_in(ks)
+          frac_act = liq_frac*ccn_aero(ks) +(1-liq_frac)*in_aero(ks)
 
 !ZHG Use the activated fraction and the liqid water to calculate the washout
@@ -343,5 +351,5 @@
 ! AEROSOL
 !**************************************************
-          if (dquer(ks).gt. 0.) then ! is particle
+          if (dquer(ks).gt.0.) then ! is particle
 
             S_i= frac_act/cl
